
Orangutan::Redmine - Feature #1003

Support possibility to use custom field value as an alias for issue ID

14 Oct 2010 22:17 - Andriy Lesyuk

Status: Closed Start date: 15 Oct 2010

Priority: Minor Due date: 23 Oct 2010

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.04   

Description

On the project we use special project code for issues. This code looks like PPPXXXX where XXXX is a number. We do remember

this code but do not remember Redmine issue ID. For now I set aliases for issue IDs. But it’s not an ideal solution... And I thought

why not letting users to set which custom field to use as an alias for an issue?..

The problem is that it can be too expensive to check all messages for all values of a custom field. The solution I see is to require

regular expression (custom fields support this) and to reject if no regexp is set (saying with a message “This custom field does not

have reg. exp.”).

Sample query:

User: Use Alt ID as an alias for issue ID

 

Such functionality will also let project managers and developer to set aliases for all employees... This can be useful for some

projects.

History

#1 - 15 Oct 2010 18:38 - Andriy Lesyuk

- Target version set to 1.04

#2 - 15 Oct 2010 20:55 - Andriy Lesyuk

- Start date changed from 14 Oct 2010 to 15 Oct 2010

- Status changed from Open to In Progress

#3 - 19 Oct 2010 17:57 - Andriy Lesyuk

- % Done changed from 0 to 10

#4 - 24 Oct 2010 15:07 - Andriy Lesyuk

- % Done changed from 10 to 100

- Status changed from In Progress to Closed

- Due date set to 23 Oct 2010

Done. But this context should be used with caution - bad regexp in string custom field can dramatically slow down Orangutan...

#5 - 01 Mar 2011 00:06 - Andriy Lesyuk

- Tracker changed from Improvement to Feature

- Project changed from Orangutan to Orangutan::Redmine

Powered by TCPDF (www.tcpdf.org)

20 Apr 2024 1/1

http://www.tcpdf.org

